Name:           transmission-remote-gtk
Version:        1.3.1
Release:        6%{?dist}
Summary:        GTK remote control for the Transmission BitTorrent client

License:        GPLv2+
URL:            https://github.com/transmission-remote-gtk/transmission-remote-gtk
Source0:        https://github.com/transmission-remote-gtk/transmission-remote-gtk/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  json-glib-devel
BuildRequires:  intltool
BuildRequires:  gtk3-devel
BuildRequires:  libproxy-devel
BuildRequires:  glib2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libnotify-devel
BuildRequires:  GeoIP-devel

%description
transmission-remote-gtk is a GTK client for remote management of
the Transmission BitTorrent client, using its HTTP RPC protocol.

%prep
%autosetup -p1

%build
%configure --disable-desktop-database-update
make %{?_smp_mflags}

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.1-5
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Aug 12 2016 Patrick Griffis <tingping@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Fri Aug 12 2016 Patrick Griffis <tingping@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.1.1-1
- New Release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 17 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.1-1
- New Release

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 2 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0.2-1
- New Release

* Wed Feb 8 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0.1-1
- New Release

* Sun Nov 20 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-3
- Minor changes according to review

* Thu Oct 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-2
- Added icon cache

* Tue Oct 18 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-1
- Initial version of the package
